aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-mail-tools/APKBUILD
diff options
context:
space:
mode:
authorLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
committerLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
commitf20463a6e42df75ac870e96cfc16fd40ebdea56b (patch)
treebce675dfd36258793f7292d239123b6708ed62a4 /testing/perl-mail-tools/APKBUILD
parentacd0cd6fe7ba1b4eee0d1996a255e3919dc15242 (diff)
downloadaports-f20463a6e42df75ac870e96cfc16fd40ebdea56b.tar.gz
aports-f20463a6e42df75ac870e96cfc16fd40ebdea56b.tar.bz2
aports-f20463a6e42df75ac870e96cfc16fd40ebdea56b.tar.xz
testing/perl-mail-tools: new aport
Diffstat (limited to 'testing/perl-mail-tools/APKBUILD')
-rw-r--r--testing/perl-mail-tools/APKBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/testing/perl-mail-tools/APKBUILD b/testing/perl-mail-tools/APKBUILD
new file mode 100644
index 0000000000..cb287687f4
--- /dev/null
+++ b/testing/perl-mail-tools/APKBUILD
@@ -0,0 +1,24 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=perl-mail-tools
+_realname=MailTools
+pkgver=2.04
+pkgrel=0
+pkgdesc="Manipulation of electronic mail addresses"
+url="http://search.cpan.org/~markov/MailTools-2.04/"
+license="GPL PerlArtistic"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MA/MARKOV/$_realname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$_realname-$pkgver"
+
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="d21ea4f375d1e5f3da6b0a4e8ba1e2c6 MailTools-2.04.tar.gz"